View Issue Details

IDProjectCategoryView StatusLast Update
0001618Ham Radio DeluxeBugpublic2017-05-24 22:45
ReporterKB3NPH 
Assigned Touser5 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.2.72 
Summary0001618: Logbook Timezone Issue
DescriptionTicket #824169

This would be a continuation of a bug found in V6.2 by Support and confirmed by Rick and Mike.

A customer reports:
Noticed a major issue with logbook.

If you change the logbook time display from UTC to Local, the time changes but the QSO date does not change. This caused log entries to be filed incorrectly for several days. At least it looks like that on the QSO list.

To reproduce, change watch a log entry that has different date in LOCAL vs. UTC time. e.g. in pacific timezone, a QSO at 11pm will be 6am in UTC. Then switch the timezone and watch the time display change on the QSO but the date does not change to the UTC date.

Is this only a display issue or the back-end database also has the local date / time?

To avoid data issues, I am not using HRD logbook till this is fixed.
Steps To ReproduceInitial bug:
On Logbook click VIEW > DIGITAL CLOCK > Uncheck UTC if checked.
On Logbook click LOGBOOK > OPTIONS > APPEARANCE in Times select LOCAL
in ALE: Select OPTIONS > TIMES > LOCAL

Now enter a QSO in the ALE and save it to logbook. The log record will indicate a START time of Local - 1 hour.
Additional InformationThis bug reported by the customer mainly indicates the DATE issue that can be created by the inaccuracy of the TIME issue created in the above bug.


I hope this isn't a duplicate. System created an error when I originally entered this bug report.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing

Relationships

Activities

user5

2014-05-27 07:59

  ~0000430

Compiler bug with optomization setting....

    dt = COleDateTime::GetCurrentTime();
                DWORD dwStyle = pCtrl->GetStyle();
                BOOL bTime = ((dwStyle & DTS_TIMEFORMAT) == DTS_TIMEFORMAT);
                BOOL bDate = !bTime;


                TRACE(_T("DT> style %08X\n"), dwStyle);

                pCtrl->GetTime(dt);

WA9PIE

2014-08-18 15:04

administrator   ~0000467

Cleaning up closed items already marked "Resolved".

Mike, WA9PIE

Issue History

Date Modified Username Field Change
2014-04-24 15:05 KB3NPH New Issue
2014-05-27 07:59 user5 Fix Build TBD => 6.2.4.273
2014-05-27 07:59 user5 Note Added: 0000430
2014-05-27 07:59 user5 Status new => resolved
2014-05-27 07:59 user5 Resolution open => fixed
2014-05-27 07:59 user5 Assigned To => user5
2014-08-07 13:32 WA9PIE Summary BUG: Ticket #824169 Logbook Timezone Issue => Bug: Logbook Timezone Issue
2014-08-07 13:32 WA9PIE Description Updated View Revisions
2014-08-12 12:25 WA9PIE Project @5@ => Ham Radio Deluxe
2014-08-12 12:25 WA9PIE Category Logbook => General
2014-08-18 15:04 WA9PIE Note Added: 0000467
2014-08-18 15:04 WA9PIE Status resolved => closed
2015-09-30 12:50 WA9PIE Fix Build 6.2.4.273 => (select)
2015-09-30 12:50 WA9PIE Proposed Release => TBD
2015-09-30 12:50 WA9PIE Summary Bug: Logbook Timezone Issue => Logbook Timezone Issue
2015-09-30 13:34 WA9PIE Category General => Bug
2017-05-24 22:45 WA9PIE Fixed in Version => 6.2.72